### Virtual Method

# WPEPlatform View lock_pointer

#### Declaration [src]

    gboolean
    lock_pointer (
      WPEView* view
    )

#### Description [src]

Disable the movements of the pointer in `view`, locking it to a particular area; while the pointer is locked, mouse events are relative instead of absolute motions.

#### Return value

Type: `gboolean`

`TRUE` if the pointer is locked, or `FALSE` otherwise.